> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Batch Details

> Retrieve detailed information about a batch transaction including all items and their statuses



## OpenAPI

````yaml GET /v1/batch/transactions/commit/{batch_id}
openapi: 3.1.0
info:
  title: Fin.com API
  version: 1.0.0
  description: >-
    A simple API specification for Fin.com, a financial services platform that
    provides a range of banking and payment solutions for businesses and
    individuals. This API allows developers to integrate Fin.com's services into
    their applications, enabling functionalities such as customer management,
    transaction processing, and access to financial data.
servers:
  - url: https://sandbox.api.fin.com
    description: Sandbox server
  - url: https://api.fin.com
    description: Production server
security: []
tags:
  - name: Authentication
    description: A modified OAuth 2.0 Client Credential Flow
  - name: Customers
    description: Customer management and document upload operations
  - name: Balances
    description: Retrieve wallet balance information
  - name: Catalogue
    description: |
      A set of endpoints to retrieve contextual data to assemble requests
      to fin.com's API
  - name: Beneficiaries
    description: Manage beneficiary accounts for payments and transfers
  - name: Transactions
    description: Transaction history and management for beneficiaries
  - name: Virtual Accounts
    description: Create and manage virtual accounts for USD to USDC conversions
  - name: Fees & FX Rates
    description: Retrieve fees and foreign exchange rates
  - name: Crypto Orchestration
    description: >-
      Accept crypto deposits from exchange and external wallets and settle them
      to a destination wallet
paths:
  /v1/batch/transactions/commit/{batch_id}:
    get:
      tags:
        - Transactions
      summary: Fetch Batch Details
      description: >-
        Retrieve detailed information about a batch transaction including all
        items and their statuses
      parameters:
        - name: batch_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          example: ad1a0a29-5a7f-4982-98cc-3f4416724660
      responses:
        '200':
          description: Batch details retrieved successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: object
                    required:
                      - batch_id
                      - items
                    properties:
                      batch_id:
                        type: string
                        format: uuid
                        example: ad1a0a29-5a7f-4982-98cc-3f4416724660
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            beneficiary_id:
                              type: string
                              format: uuid
                            source_amount:
                              type: number
                              example: 456
                            source_currency:
                              type: string
                              enum:
                                - USD
                            deduct_from:
                              type: string
                              enum:
                                - PREFUNDED_BALANCE
                                - LIQUIDATION_ADDRESS
                            remarks:
                              type: string
                            reason:
                              type: string
                              nullable: true
                            status:
                              type: string
                              enum:
                                - PENDING
                                - PROCESSING
                                - COMPLETED
                                - FAILED
                                - REFUNDED
                              example: PROCESSING
                            transaction_id:
                              type: string
                              format: uuid
                            exchange_rate:
                              type: number
                              example: 135
                            destination_currency:
                              type: string
                              example: BDT
                            destination_amount:
                              type: number
                              example: 261
                            developer_fee:
                              type: object
                              properties:
                                fixed:
                                  type: number
                                percentage:
                                  type: number
                                total:
                                  type: number
        '401':
          $ref: '#/components/responses/AuthenticationError'
      security:
        - bearerAuth: []
components:
  responses:
    AuthenticationError:
      description: Authentication failed due to invalid credentials
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Authentication failed
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Obtain token from [Issue a
        Token](https://developer.fin.com/api-reference/authentication/issue-a-token)
        endpoint

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.